Subject: [bug#58812] [PATCH 0/5] Add --symlink option to 'guix shell'.

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 16 Nov 2022 14:34:32 -0500

Hi Simon,

zimoun <[email-masked]> writes:

> Hi Maxim,
>
> On Wed, 09 Nov 2022 at 21:58, Ludovic Courtès <[email-masked]> wrote:
>
>>> +@item --symlink=@var{spec}
>>> +@itemx -S @var{spec}
>>> +For containers, create the symbolic links specified by @var{spec}, as
>>> +documented in @ref{pack-symlink-option}.
>>
>> We should refrain from using @ref in sentences (info "(texinfo) @ref").
>> Instead, I’d write:
>>
>>   documented for @command{guix pack} (@pxref{pack-symlink-option}).
>
> Well, for what it is worth, I have marked this email [1] by Eli
> Zaretskii from Emacs.  Somehow, the message provides some rules of thumb
> to write Texinfo. :-) Quoting about cross-reference:
>
>      5. Cross-references:
>
>         As a separate sentence: @xref{Node name}, for the details.
>         In the middle of a sentence ... see @ref{Node name}, for more.
>         In parentheses: Some text (@pxref{Some node}) more text.
>
> 1: https://lists.gnu.org/archive/html/emacs-devel/2017-11/msg00525.html

I like it, it takes the occult out of the equation :-).

-- 
Thanks,
Maxim